# User Specified
run_name: philharmonic
sequence_path: /home/shared/16TB_HDD_01/sr320/github/timeseries_molecular/D-Apul/data/Apulchra-genome.pep.fa
go_filter_path: /home/shared/16TB_HDD_01/sr320/github/timeseries_molecular/assets/go_filter_02.txt
work_dir: /home/shared/16TB_HDD_01/sr320/github/timeseries_molecular/D-Apul/output/38.02-Apul-phil
use_llm: true

############################################

# General Parameters
seed: 42

# hmmscan Parameters
hmmscan:
  path: hmmscan
  threads: 32

# D-SCRIPT Parameters
dscript:
  path: dscript
  n_pairs: -1
  model: samsl/dscript_human_v1 
  device: cpu

# DSD Parameters
dsd:
  path: fastdsd
  t: 0.5
  confidence: true

# Clustering Parameters
clustering:
  init_k: 500
  min_cluster_size: 3
  cluster_divisor: 20
  sparsity_thresh: 1e-5

# ReCIPE Parameters
recipe:
  lr: 0.1
  cthresh: 0.75
  max_proteins: 20
  metric: degree

# LLM Naming Parameters
llm:
  model: gpt-4o